package com.srs.routine.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.routine.domain.RtStuIdReissue;
import com.srs.routine.domain.vo.StuInfoReturnVo;

/**
 * 学生证补办Service接口
 *
 * @author srs
 * @date 2024-05-16
 */
public interface IRtStuIdReissueService extends IService<RtStuIdReissue> {
    /**
     * 查询学生证补办
     *
     * @param id 学生证补办主键
     * @return 学生证补办
     */
    public RtStuIdReissue selectRtStuIdReissueById(Long id);

    public RtStuIdReissue selectRtStuIdReissueByStuNo(String stuNo);

    /**
     * 查询学生证补办列表
     *
     * @param rtStuIdReissue 学生证补办
     * @return 学生证补办集合
     */
    List<RtStuIdReissue> selectRtStuIdReissueList(RtStuIdReissue rtStuIdReissue);

    /**
     * 新增学生证补办
     *
     * @param rtStuIdReissue 学生证补办
     * @return 结果
     */
    int insertRtStuIdReissue(RtStuIdReissue rtStuIdReissue);

    /**
     * 修改学生证补办
     *
     * @param rtStuIdReissue 学生证补办
     * @return 结果
     */
    int updateRtStuIdReissue(RtStuIdReissue rtStuIdReissue);

    /**
     * 批量删除学生证补办
     *
     * @param ids 需要删除的学生证补办主键集合
     * @return 结果
     */
    int deleteRtStuIdReissueByIds(Long[] ids);

    /**
     * 删除学生证补办信息
     *
     * @param id 学生证补办主键
     * @return 结果
     */
    int deleteRtStuIdReissueById(Long id);

    /**
     * 根据学生id获取学生填报数据时基础数据回填
     * @param stuNo
     * @return
     */
    StuInfoReturnVo getStuInfo(String stuNo);


}
